:root {
    --average: "Average Sans";
    --mulish: "Mulish";

    --jungle-teal: #6b9080ff;
    --muted-teal: #a4c3b2ff;
    --frozen-water: #cce3deff;
    --azure-mist: #eaf4f4ff;
    --mint-cream: #f6fff8ff;
}

/* Sidebar */
#sidebar {
    width: 150px;
    max-width: 150px;
    min-width: 150px;
    height: 100vh;
    background-color: var(--jungle-teal);
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: 0;
    overflow-y: auto;
    scrollbar-width: none;
    font-family: var(--mulish);
    font-size: 14px;
    transition: all 0.35s ease-in-out;
}

#sidebar.collapsed {
    width: 50px;
    max-width: 50px;
    min-width: 50px;
}

#sidebar.collapsed .sidebar-link span {
    opacity: 0;
    visibility: hidden;
    transform: translateX(-10);
}

.toggler-btn {
    background-color: transparent;
    cursor: pointer;
    border: 0;
}

.sidebar-nav {
    float: 1 1 auto;
    padding: 0;
}

.sidebar-logo {
    padding: 1.15rem 0;
    text-align: center;
}

.sidebar-logo img {
    width: 90%;
}

li {
    list-style-type: none;
}

a {
    text-decoration: none;
}

.sidebar-link span {
    opacity: 1;
    visibility: visible;
    transform: translateX(0);
    transition:
        opacity 0.35s ease,
        transform 0.35s ease,
        visibility 0.35s ease;
}

a.sidebar-link {
    padding: 0.5rem 1rem;
    color: white;
    position: relative;
    transition: all 0.35s;
    display: flex;
    align-content: center;
    gap: 10px;
}

a.sidebar-link:hover {
    background-color: var(--frozen-water);
    color: black;
}

a.sidebar-link.active {
    background-color: var(--frozen-water);
    color: black;
}

/* Main Content */
.main {
    min-height: 100vh;
    width: 100%;
    overflow: hidden;
    background-color: var(--mint-cream);
    margin-left: 150px;
    transition: margin-left 0.35s ease-in-out;
    font-family: var(--average);
    flex-direction: column;
    display: flex;
}

.main.expanded {
    margin-left: 50px;
}

.alert.fade {
    transition: opacity 3s ease-in-out !important;
}

/* Navbar */
.navbar {
    background-color: var(--muted-teal);
}

/* Content */
.card {
    border-radius: 10px;
}

.icon {
    width: 50px;
    height: 50px;
    margin-right: 10px;
    border-radius: 10px;
}

.table {
    text-align: center;
}

th,
td {
    justify-content: center;
    align-content: center;
}

/* Footer */
.main > footer {
    margin-top: auto;
}

footer {
    font-size: 10px;
    background-color: var(--muted-teal);
    height: 15vh;
}
